QwtAbstractSeriesStore(3)

NAME
QwtAbstractSeriesStore - Bridge between QwtSeriesStore and QwtPlotSeriesItem.

SYNOPSIS

#include <qwt_series_store.h>

Inherited by QwtPlotSeriesItem [virtual], QwtSeriesStore< T > [virtual], QwtSeriesStore< QPointF > [virtual], QwtSeriesStore< QwtIntervalSample > [virtual], QwtSeriesStore< QwtOHLCSample > [virtual], QwtSeriesStore< QwtPoint3D > [virtual], and QwtSeriesStore< QwtSetSample > [virtual].

  Protected Member Functions
virtual ~QwtAbstractSeriesStore ()
Destructor.
virtual void dataChanged ()=0
dataChanged() indicates, that the series has been changed.
virtual void setRectOfInterest (const QRectF &)=0
virtual QRectF dataRect () const =0
virtual size_t dataSize () const =0

Detailed Description

Bridge between QwtSeriesStore and QwtPlotSeriesItem. QwtAbstractSeriesStore is an abstract interface only to make it possible to isolate the template based methods ( QwtSeriesStore ) from the regular methods ( QwtPlotSeriesItem ) to make it possible to derive from QwtPlotSeriesItem without any hassle with templates.

Member Function Documentation

  virtual QRectF QwtAbstractSeriesStore::dataRect () const [protected], [pure virtual]

Returns:
    Bounding rectangle of the stored series

Implemented in QwtSeriesStore< T >, QwtSeriesStore< QwtIntervalSample >, QwtSeriesStore< QwtOHLCSample >, QwtSeriesStore< QPointF >, QwtSeriesStore< QwtSetSample >, and QwtSeriesStore< QwtPoint3D >.

  virtual size_t QwtAbstractSeriesStore::dataSize () const [protected], [pure virtual]

Returns:
    Number of samples

Implemented in QwtSeriesStore< T >, QwtSeriesStore< QwtIntervalSample >, QwtSeriesStore< QwtOHLCSample >, QwtSeriesStore< QPointF >, QwtSeriesStore< QwtSetSample >, and QwtSeriesStore< QwtPoint3D >.

  virtual void QwtAbstractSeriesStore::setRectOfInterest (const QRectF &) [protected], [pure virtual]
Set a the 'rectangle of interest' for the stored series

See also:
    QwtSeriesData<T>::setRectOfInterest()

Implemented in QwtSeriesStore< T >, QwtSeriesStore< QwtIntervalSample >, QwtSeriesStore< QwtOHLCSample >, QwtSeriesStore< QPointF >, QwtSeriesStore< QwtSetSample >, and QwtSeriesStore< QwtPoint3D >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.